StocksAndFisheriesKB - Bug #22310

Missing Scientific Advice Resource in some GRSF Records
Oct 27, 2021 11:59 AM - Yannis Marketakis

Status: Closed Start date: Oct 27, 2021
Priority: Normal Due date:

Assignee: Luca Frosini % Done: 100%
Category: Estimated time: 0.00 hour
Target version: GRSF

Description

The group scientific advice in GRSF Admin VRE (https:/i-marine.d4science.org/group/grsf_admin/data-catalogue), currently reports
577 records. However, the corresponding competency query reports 651.

| tried to find those 74 records that do not contribute to the overall count for the scientific advice group (using gCat API #22298).
The list of UUIDs for these 74 records is attached.

| noticed that all of them contain the scientific advice under the Additional Info section, however, it is not added under Data and
Resources section. | suspect that this is the reason that these records are not added to this group. | tried to update those records,
but the issue persists.

Related issues:
Related to StocksAndFisheriesKB - Feature #21995: GRSF public VRE - change be... Closed Sep 13, 2021

History

#1 - Oct 27, 2021 01:04 PM - Francesco Mangiacrapa

- Assignee changed from Francesco Mangiacrapa to Luca Frosini

Hi @marketak@ics.forth.gr,

thanks for your analysis.

As usual, could you kindly provide us with one, two JSON sources of those (74) records?

And a source JSON of the 577 records that is correctly managed and added to Scientific Advice group, e.g. for this one
https://data.d4science.org/ctlg/GRSF_Admin/fb9c253b-2916-38c5-bf3a-857ec18cf1ab

Thanks.

#2 - Oct 27, 2021 02:42 PM - Yannis Marketakis
- File 1¢9e7018-0a2d-35dc-b827-c697ff719a68.json added
- File 91728763-b21f-3a5d-95e3-b2157d028251.json added

Sure. Attached you'll find the JSON representations for two records

® 1c9e7018-0a2d-35dc-b827-c697f719a68.json is properly added under Scientific Advice group
® 91728763-b21f-3a5d-95e3-b2157d028251.json is NOT added under Scientific Advice group

#3 - Nov 09, 2021 03:17 PM - Luca Frosini
- Status changed from New to Closed

- % Done changed from 0 to 100

#4 - Nov 09, 2021 03:17 PM - Luca Frosini
- Related to Feature #21995: GRSF public VRE - change behavior to access time dependant data added

#5 - Nov 09, 2021 03:18 PM - Luca Frosini
See #21995
GRSF_records.txt 2.74 KB Oct 27, 2021 Yannis Marketakis
